Get Applications
Authorization
read AuthorizationBearer <token>
Personal access token whose scope satisfies read — read, deploy, or write all qualify.
In: header
Path Parameters
projectId*string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/applications"[ { "auto_deploy_branch": "string", "branch": "string", "build_type": "string", "build_type_override": "string", "builder_image": "string", "config_changed_at": "2019-08-24T14:15:22Z", "container_caps": "string", "container_port": 0, "cpu_limit": 0, "created_at": "2019-08-24T14:15:22Z", "custom_buildpacks": "string", "deploy_hook_enabled": true, "dockerfile_path": "string", "git_integration_id": "d466bf2e-c4ac-4f97-b980-c9cf6e44e072", "has_git_credentials": true, "has_webhook_secret": true, "health_check_command": "string", "health_check_expect_status": 0, "health_check_interval_seconds": 0, "health_check_path": "string", "health_check_retries": 0, "health_check_start_period_seconds": 0, "health_check_timeout_seconds": 0, "health_check_type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_activity_at": "2019-08-24T14:15:22Z", "last_deployed_at": "2019-08-24T14:15:22Z", "memory_limit": 0, "name": "string", "parent_application_id": "f9f09923-6b4a-484c-a7f4-4afe2f4e355a", "pending_change": "string", "preview_branch_pattern": "string", "preview_domain_template": "string", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "readonly_rootfs": true, "root_directory": "string", "slug": "string", "source_changed_at": "2019-08-24T14:15:22Z", "source_image": "string", "source_kind": "string", "source_ref": "string", "source_repo": "string", "status": "string", "type": "string", "updated_at": "2019-08-24T14:15:22Z" }]